Player = Core.class(Sprite)
--require "box2d"

function Player:init(x,y,world)

self.Player = Bitmap.new(Texture.new("./man.png"))
self:addChild(self.Player)
self.Player:setAnchorPoint(0.5,0.5)
self.Player:setPosition(x,y)


local body = world:createBody{type = b2.DYNAMIC_BODY}
body:setPosition(self.Player:getX(), self.Player:getY())
body:setAngle(self.Player:getRotation() * math.pi/180)


local poly = b2.PolygonShape.new()
poly:setAsBox(self.Player:getWidth()/2, self.Player:getHeight()/2)
	
local fixture = body:createFixture{shape=poly, density=1.0, friction=1.0, restitution=0.8}
self.Player.body = body
self.Player.body.type = "Player"

self:addEventListener(Event.MOUSE_DOWN, self.onTouch, self)
self:addEventListener(Event.ENTER_FRAME, self.onEnterFrame, self)


return self.Player


end


function Player:onEnterFrame(event) 
	--self:world:step(1/60, 8, 3)

	for i = 1, self:getNumChildren() do
		
		local sprite = self:getChildAt(i)
		
		if sprite.body then
			
			local body = sprite.body
			local bodyX, bodyY = body:getPosition()
			sprite:setPosition(bodyX, bodyY)
			--sprite:setRotation(body:getAngle() * 180 / math.pi)
		end
	end
end


function Player:onTouch(event)
self.Player.body:setPosition(event.x, event.y)
print("x".. event.x)
--local x,y = self:getPosition()
--self:setX(event.x)
--print(self:getX())

end

