application:setOrientation(Application.LANDSCAPE_LEFT)
--createWall('a')
require "box2d"

scene = Core.class(Sprite)

function scene:init()

self.world = b2.World.new(0,10,true)
local screenW = application:getContentWidth()
local screenH = application:getContentHeight()

self:wall(0,screenH/2,10,screenH)
self:wall(screenW/2,0,screenW,10)
self:wall(screenW,screenH/2,10,screenH)
self:wall(screenW/2,screenH,screenW,10)

local player = Player.new(100,100, self.world)
local enemy = Player.new(200,100, self.world)




--local debugDraw = b2.debugdraw.new()

local debugDraw = b2.DebugDraw.new()
self.world:setDebugDraw(debugDraw)
self:addChild(debugDraw)


self:addEventListener(Event.ENTER_FRAME, self.onEnterFrame, self)
	--remove event on exiting scene
	--self:addEventListener("exitBegin", self.onExitBegin, self)
	--player:addEventListener(Event.MOUSE_DOWN, onMouseDown, player)
stage:addChild(player)
stage:addChild(enemy)
end



function scene:wall(x,y,width,height)
	local wall = Shape.new()
	
	wall:beginPath()
	
	wall:moveTo(-width/2,-height/2)
	wall:lineTo(width/2, -height/2)
	wall:lineTo(width/2, height/2)
	wall:lineTo(-width/2, height/2)
	wall:closePath()
	wall:endPath()
	wall:setPosition(x,y)
	
	
		--create box2d physical object
	local body = self.world:createBody{type = b2.STATIC_BODY}
	body:setPosition(wall:getX(), wall:getY())
	body:setAngle(wall:getRotation() * math.pi/180)
	local poly = b2.PolygonShape.new()
	poly:setAsBox(wall:getWidth()/2, wall:getHeight()/2)
	local fixture = body:createFixture{shape = poly, density = 1.0, 
	friction = 0.1, restitution = 0.8}
	wall.body = body
	wall.body.type = "wall"
	
	--add to scene
	self:addChild(wall)
	
	--return created object
	return wall
	
end



function drawButton(width, height, x, y)
local button = Shape.new()

button:beginPath()
	
	button:moveTo(-width/2,-height/2)
	button:lineTo(width/2, -height/2)
	button:lineTo(width/2, height/2)
	button:lineTo(-width/2, height/2)
	button:closePath()
	button:endPath()
	button:setPosition(x,y)



end

function scene:onEnterFrame() 
	-- edit the step values if required. These are good defaults!
	self.world:step(1/60, 8, 3)

end




--scene:addEventListener(Event.MOUSE_DOWN, onMouseDown)


local mainScene = scene.new()
stage:addChild(mainScene)
